Skip to main content

Create a user profile

POST 

/nevisidm/api/core/v1/:clientExtId/users/:extId/profiles

Since: 2.71.0

Required permission(s): AccessControl.ProfileCreate,AccessControl.AuthorizationCreate

Creates a new profile for the user with the given external ID.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the profile. If not provided, it will be generated automatically.

    unitExtId string

    The external ID of the unit to which the profile belongs.

    profileState string

    The state of the profile. Defaults to 'active' if not provided.

    name string

    The name of the profile.

    isDefaultProfile boolean

    Determines whether the profile is default or not.

    validity object

    Describes the validity period of the profile.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    remarks string

    Textual remark regarding the profile.

    modificationComment string

    Textual comment regarding the last modification.

Responses

User profile created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...